| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::DbEngineActionType Class Reference

The DbEngineActionType is used by the BdEngineBackend to wrap another data object within an sql statement and controls whether it should be used as field entry or as value (prepared to an sql statement with positional binding).

## Public Member Functions
| DbEngineActionType (const DbEngineActionType &actionType)
QVariant | getActionValue ()
| Returns the wrapped object.
bool | isValue () const
| Returns true, if the entry is an value element.
void | setActionValue (const QVariant &actionValue)
| Sets the wrapped object.
void | setValue (bool isValue)
| Sets the DBAction mode: true, if the entry is an value element.

## Static Public Member Functions
static DbEngineActionType | fieldEntry (const QVariant &actionValue)
static DbEngineActionType | value (const QVariant &value)

## Member Function Documentation

## ◆ isValue()

bool Digikam::DbEngineActionType::isValue | ( |  | ) | const

Returns false, if the entry should be used as field entry.

## ◆ setValue()

void Digikam::DbEngineActionType::setValue | ( | bool | isValue | ) |

false, if the entry should be used as field entry.